## cdebconf 0.125

=== src/modules/frontend/bogl/Makefile ===
MODULE=bogl
SOBJ=bogl.so
OBJS=bogl.opic

MODLDFLAGS=-lbogl

include ../modules.mak

=== src/modules/frontend/corba/Makefile ===
# $Id: Makefile 26961 2005-04-21 01:07:37Z cjwatson $

# This is wrong 8:P  (Hey, big nose? Or girlie hair?)
MODULE=corba
SOBJ = corba.so
OBJS = corba.opic
include ../modules.mak

PROJ = dcf
PROJ_SERV = $(PROJ)-text
PROJ_SERVSRC = $($(PROJ)-text:%=%.c)
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_IDLFLAGS = --skeleton-impl
ORBIT_IDLTARGETS = $(PROJ)-stubs.c $(PROJ)-skels.c $(PROJ)-common.c $(PROJ).h
GNOME_CFLAGS = $(shell gnome-config --cflags gnome gnomeui gnorba gtk)
GNOME_LIBS = $(shell gnome-config --libs gnome gnomeui gnorba gtk)
CFLAGS += $(MODCFLAGS) $(GNOME_CFLAGS)
LDFLAGS = $(MODLDFLAGS) $(GNOME_LIBS)

$(PROJ)-all: $(ORBIT_IDLTARGETS) $(PROJ_SERV)

$(OBJS): $(ORBIT_IDLTARGETS)

$(PROJ)-text: $(PROJ)-text.o $(PROJ)-skels.o $(PROJ)-common.o
	$(CC) -o $(PROJ)-text $^ $(LDFLAGS)

$(ORBIT_IDLTARGETS): $(PROJ).idl
	$(ORBIT_IDL) $(ORBIT_IDLFLAGS) $<

$(PROJ_SERVSRC): $(PROJ).h

$(PROJ)-clean:
	-rm *.[oa] $(PROJ)-text

$(PROJ)-distclean: $(PROJ)-clean
	-rm -f $(PROJ)-stubs.[oc] $(PROJ)-skels.[oc] $(PROJ)-skelimpl.[oc] \
		$(PROJ)-common.[oc] $(PROJ).h

.PHONY: $(PROJ)-all $(PROJ)-clean $(PROJ)-distclean

=== src/modules/frontend/gtk/Makefile ===
include ../../../../globalmakeflags

MODULE = gtk
SOBJ = gtk.so
OBJS = cdebconf_gtk.opic \
       select_handlers.opic \
       descriptions.opic \
       choice_model.opic \
       progress.opic \
       go.opic \
       handlers.opic \
       ui.opic

ifneq ($(strip $(filter -DDI_UDEB, $(CFLAGS))),)
OBJS += screenshot.opic di.opic
MODCFLAGS = `pkg-config --cflags gtk+-directfb-2.0 \
                                 gthread-2.0 directfb-internal`
MODLDFLAGS = `pkg-config --libs gtk+-directfb-2.0 \
                                gthread-2.0 directfb-internal` -ldebian-installer
else
MODCFLAGS = `pkg-config --cflags gtk+-2.0 gthread-2.0`
MODLDFLAGS = `pkg-config --libs gtk+-2.0 gthread-2.0` -ldebian-installer
endif

# XXX: Does not work because of a path issue, needs to be fixed.
#MODLDFLAGS += -Wl,--version-script=linker-script

# let the type char be unsigned by default
MODCFLAGS += -funsigned-char
# apply strict aliasing rules
MODCFLAGS += -fstrict-aliasing
# turn on all common warnings
MODCFLAGS += -Wall
# turn on extra warnings
MODCFLAGS += -W
# treat warnings as errors
MODCFLAGS += -Werror
# warn about undefined preprocessor identifiers
MODCFLAGS += -Wundef
# warn about casting of pointers to increased alignment requirements
# (XXX: can't be used due to broken GTK_PROGRESS_BAR)
#MODCFLAGS += -Wcast-align
# make string constants const
MODCFLAGS += -Wwrite-strings
# warn about comparisons between signed and unsigned values
MODCFLAGS += -Wsign-compare
# warn about unused declared stuff
MODCFLAGS += -Wno-unused-parameter
# warn about variables which are initialized with themselves
MODCFLAGS += -Winit-self
# warn about pointer arithmetic on void* and function pointers
MODCFLAGS += -Wpointer-arith
# warn about multiple declarations
MODCFLAGS += -Wredundant-decls
# do not warn about zero-length formats.
MODCFLAGS += -Wno-format-zero-length
# missing prototypes
MODCFLAGS += -Wmissing-prototypes
# warn about functions without format attribute that should have one
MODCFLAGS += -Wmissing-format-attribute

include ../modules.mak

install::
ifneq ($(TARGET),udeb)
	install -m 644 ${srcdir}/src/modules/frontend/gtk/cdebconf_gtk.h $(DESTDIR)${incdir}
endif

=== debian/changelog ===
cdebconf (0.125) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not build the GTK+ frontend with -Wcast-align: GTK_PROGRESS_BAR() is
    has alignment problems on hppa, mips and mipsel.
  * Do not hide the gcc command line in globalmakeflags: this makes a lot
    harder for buildd admins to understand build failures.
  * Fix lintian warning debian-rules-ignores-make-clean-error.
  * Bump Standards-Version to 3.7.2.2 (no changes required).
  * Use ${binary:Version} instead of the deprecated ${Source-Version}.
  * Merge duplicate Depends fields for cdebconf.
  * Add myself to Uploaders.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 07 Oct 2007 16:40:38 +0200

cdebconf (0.124) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Load frontend with RTLD_NOW | RTLD_GLOBAL to allow plugins to access
    frontend API without requiring calls to dlsym().  Kudos to Steve Langasek
    for the help to figure this out!
  * Put frontend plugins symbol in the "cdebconf_" namespaces.  The old
    symbols are still looked up as a fallback to ensure compatibility.
  * Fix a memory leak in plugin_new() along the way.
  * Switch the newt frontend to use "cdebconf_newt_" namespace for its API.
  * Rename config-newt.h to cdebconf_newt.h for consistency.  This header
    defines the public interface used by plugins for the newt frontend.
  * Merge changes to the GTK+ frontend from the "fe_gtk" branch:
    - Rewritten codebase, more readable and documented.
    - Switch "Screenshot" button as secondary.
    - Define a clear API for plugins.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 05 Oct 2007 15:51:47 +0200

cdebconf (0.123) unstable; urgency=low

  * Temporarily make the cdebconf package depend on debconf, to avoid anyone
    breaking their systems by removing debconf, which dependencies now allow.
    Closes: #443627
    (This will be removed once the cdebconf transition is complete; see
    #328498)

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Sep 2007 15:21:46 -0400

cdebconf (0.122) unstable; urgency=medium

  * Explcitly link gtk frontend to libdebian-installer.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 19:14:30 -0400

cdebconf (0.121) unstable; urgency=medium

  * Link newt frontend to slang explicitly, since it calls slang functons
    directly.
  * Link rfc822db backend to libdebian-installer explicitly, ditto.
  * Link libdebconf to libdl, ditto.
  * Needed by new mklibs-readeldf, thus increasing urgency.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 15:12:44 -0400

cdebconf (0.120) unstable; urgency=low

  [ Frans Pop ]
  * debian/rules: add -l option in the dh_shlibsdep call for the gtk udeb to
    ensure it gets a correct dependency on licairo-directfb2-udeb.
    This means we need an additional build dependency on libcairo-directfb2,
    but no longer need the versioned dependency on dpkg-dev. The same solution
    was chosen for cairo itself and is probably more reliable than depending
    on RPATH in objdump (especially as lintian does not seem to like RPATHs).

  [ Attilio Fiandrotti ]
  * Removed workaround for #407035 because upstream fixed in gtk+ 2.10.x series.

  [ Colin Watson ]
  * Fix reference leak in question_get_text.

  [ Joey Hess ]
  * Call dh_md5sums.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Italian (it.po) by Stefano Canepa
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Vietnamese (vi.po) by Clytie Siddall

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 11 Sep 2007 20:17:48 +0200

cdebconf (0.119) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Only update keymap when needed in GTK frontend. Closes: #402126.

  [ Frans Pop ]
  * debian/rules: remove the -l option in the dh_shlibsdep call.
    As it effectively was a no-op before the previous release, it looks like
    it is no longer needed.
  * Add versioned dependency on dpkg-dev (>=1.14.5) because earlier versions
    have a bug in the parsing of rdepends from objdump which makes the gtk
    udeb depend on the wrong library for cairo (cf. #427988).

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 14:45:48 +0200

cdebconf (0.118) unstable; urgency=low

  [ Colin Watson ]
  * Set debconf/translations-dropped to true if translations are permanently
    dropped. (The implementation isn't in exactly the right place; see the
    comment in src/confmodule.c.)
  * It's the 21st century. Move configure.in to configure.ac so that we use
    autoconf >= 2.50.
  * Fix broken --without-rpath configure option.
  * Clean up configure.ac quoting and message emission.
  * Use printf rather than echo to send commands to cdebconf, to avoid
    breaking escaped commands if /bin/sh is dash (cf. #306134).
  * Avoid using non-XSI local variables; instead use a nasty temporary IFS
    setting hack and _db_local_ namespace (cf. #242011).
  * Don't define db_stop twice in shell confmodule.

  [ Attilio Fiandrotti ]
  * DirectFB specific lines of code are compiled in only if DI_UDEB was
    defined at configure time.

  [ Frans Pop ]
  * debian/rules: fix path to libcairo-directfb libs for dh_shlibsdep call.

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Wed, 04 Jul 2007 19:25:18 +0200

=== debian/control ===
Source: cdebconf
Section: utils
Priority: optional
Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo-directfb2-dev
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
Standards-Version: 3.7.2.2
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}, debconf
Provides: debconf-2.0
Priority: extra
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.

Package: libdebconfclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is the libraries needed by libdebconfclient-dev and cdebconf.

Package: libdebconfclient0-dev
Architecture: any
Section: libdevel
Depends: libdebconfclient0 (= ${binary:Version})
Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
Provides: libdebconfclient-dev
Replaces: libdebconf-dev
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}
Provides: debconf-2.0
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer

Package: cdebconf-priority
Architecture: all
Section: debian-installer
Priority: standard
Depends: cdebconf-udeb
XC-Package-Type: udeb
XB-Installer-Menu-Item: 93000
Description: Change debconf priority
 This is a udeb that allows you to change the priority limit for the
 questions.

Package: libdebconfclient0-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, cdebconf-udeb
XC-Package-Type: udeb
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This is a udeb version of libdebconfclient0.

Package: cdebconf-slang-udeb
Architecture: disabled
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
XC-Package-Type: udeb
Description: S-Lang frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-slang-udeb is a minimal S-Lang frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-newt-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Newt frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-newt-udeb is a minimal Newt frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-text-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}
XC-Package-Type: udeb
Description: Plain text frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-text-udeb is a basic plain text frontend cdebconf package used
 by the debian-installer.

Package: cdebconf-gtk-udeb
Architecture: any
Section: debian-installer
Priority: optional
Depends: cdebconf-udeb, ${shlibs:Depends}, rootskel-gtk (>=0.05)
XC-Package-Type: udeb
Description: Gtk+ frontend for Debian Configuration Management System
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version in C.
 .
 cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
 by the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

debbuild=debian/build-deb
udebbuild=debian/build-udeb

DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
CONFFILE=/etc/cdebconf.conf

#package names
LIBDEBCONFDEV=libdebconfclient0-dev
LIBDEBCONF=libdebconfclient0

DEB_FRONTENDS=text newt gtk
UDEB_FRONTENDS=text newt gtk

SIZEOPTFLAG=-Os
SPEEDOPTFLAG=-O2
DEBUG_CONFIGURE_OPT=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	SIZEOPTFLAG=
	SPEEDOPTFLAG=
	DEBUG_CONFIGURE_OPT=--with-debug=yes
endif

build: build-deb build-udeb

$(debbuild)/config.status:
	[ -d $(debbuild) ] || mkdir -p $(debbuild)
	cd $(debbuild); \
	CFLAGS="$(CFLAGS) $(SPEEDOPTFLAG)" \
	../../configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--without-rpath \
		--with-db="textdb rfc822db stack" \
		--with-frontend="$(DEB_FRONTENDS)" \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-deb: build-deb-stamp
build-deb-stamp: $(debbuild)/config.status
	dh_testdir
	$(MAKE) -C $(debbuild)
	touch $@

$(udebbuild)/config.status:
	[ -d $(udebbuild) ] || mkdir -p $(udebbuild)
	cd $(udebbuild); \
	CFLAGS="$(CFLAGS) $(SIZEOPTFLAG) -fomit-frame-pointer" \
	../../configure \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-d-i \
		--without-rpath --with-db="rfc822db stack" \
		--with-frontend="$(UDEB_FRONTENDS)" \
		--with-default-frontend=newt \
		--with-syslog-logging \
		--with-textwrap \
		--with-conffile=$(CONFFILE) \
		$(DEBUG_CONFIGURE_OPT)

build-udeb: build-udeb-stamp
build-udeb-stamp: $(udebbuild)/config.status
	dh_testdir
	$(MAKE) -C $(udebbuild)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	-rm -rf $(debbuild) $(udebbuild)
	[ ! -f globalmakeflags ] || $(MAKE) -C src/test clean
	$(MAKE) distclean
	dh_clean

install: install-arch install-indep

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	$(MAKE) -C $(debbuild) install DESTDIR=$(CURDIR)/debian/tmp/deb \
		TARGET=deb
	$(MAKE) -C $(udebbuild) install DESTDIR=$(CURDIR)/debian/tmp/udeb \
		TARGET=udeb
	dh_install -a --sourcedir=debian/tmp

install-indep:

# Build architecture-independent files here.
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdebconf -i
	dh_installdirs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installdebconf -s
	dh_installdirs -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
	dh_installdeb -s
	dh_shlibdeps -s -Ncdebconf-gtk-udeb
	dh_shlibdeps -pcdebconf-gtk-udeb -l /usr/lib/libcairo-directfb/lib/
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cdebconf 0.131ubuntu1

=== debian/changelog ===
cdebconf (0.131ubuntu1) intrepid; urgency=low

  * When receiving a new template with DATA, ensure that the corresponding
    question is registered to that template.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2008 11:16:51 +0100

cdebconf (0.131) unstable; urgency=low

  [ Frans Pop ]
  * gtk frontend: remove special handling for countrychooser/country-name as
    that template no longer exists. Requires: localechooser (>= 2.02).

  [ Max Vozeler ]
  * Fix *_can_align() function signatures to match the prototype.

  [ Jérémy Bobbio ]
  * In the GTK+ frontend, the "Go Back" button is now created before calling
    question handlers.  This allow the button ordering to stay coherent when
    plugins define custom buttons.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Frans Pop <fjp@debian.org>  Mon, 12 May 2008 14:56:36 +0200

cdebconf (0.130) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not include strutl.h in frontend.h as it is not needed.
    (Closes: #475975)
  * Ship strutl.h in libdebconfclient0-dev for cdebconf plugins using those
    functions.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Apr 2008 23:04:28 +0200

cdebconf (0.129) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add support for "directives" in templates: those are special variables in
    the form ${!DIRECTIVE} which content are returned by the current frontend.
  * Add a new "align" capability to the protocol, currently implemented by the
    text, newt and gtk frontends.  This allows to "columnize" select and
    multisplect questions by using the ${!TAB} directive as a field separator.

  [ Frans Pop ]
  * Remove Martin Sjogren, Matt Kraai and Randolph Chung as Uploaders with
    many thanks for their past contributions.

  [ Jérémy Bobbio ]
  * Right align item numbers in select and multiselect prompts in the text
    frontend.  Thanks Ferenc Wagner for the patch.
  * Bump Standards-Version to 3.7.3, no changes required.

  [ Updated translations ]
  * Marathi (mr.po)
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 08 Apr 2008 20:41:45 +0200

cdebconf (0.128) unstable; urgency=low

  [ Updated translations ]
  * Indonesian (id.po) by Arief S Fitrianto
  * Turkish (tr.po) by Recai Oktaş

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 15 Feb 2008 17:00:32 -0200

cdebconf (0.127) unstable; urgency=low

  [ Colin Watson ]
  * Make PROGRESS fail with a syntax error when given an unknown subcommand.

  [ Jérémy Bobbio ]
  * Correctly handle click on the "Cancel" button during progress operations
    in the GTK+ frontend.  (Closes: #453703)
  * Force cursor to stay on the first column during multiselect questions in
    the GTK+ frontend.  (Closes: #398902)
  * Remove useless debug messages in progress handling of the GTK+ frontend.
    (Closes: #455981)
  * Show progress widgets and restore main title after handling a GO in the
    GTK+ frontend.  (Closes: #464380)
  * Add a case for the previous issue in the "progress" test suite.
  * Correctly handle boolean question without a default in the GTK+ frontend.
    (Closes: #457901)
  * Add a case for the previous issue in the test suite.
  * Remove redundent call to gtk_toggle_button_set_active() when handling
    boolean question in the GTK+ frontend.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Viesturs Zarins
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon, 11 Feb 2008 11:04:14 +0100

cdebconf (0.126) unstable; urgency=low

  * debconf-copydb: Unset DEBCONF_DROP_TRANSLATIONS so that we always copy
    all translations.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Slovak (sk.po) by Ivan Masár

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Dec 2007 23:07:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo-directfb2-dev
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
-Standards-Version: 3.7.2.2
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
+Standards-Version: 3.7.3
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
 
 Package: cdebconf
 Architecture: any

## cdebconf 0.138lenny3

=== debian/changelog ===
cdebconf (0.138lenny3) stable; urgency=low

  [ Nicolas François ]
  * src/template.c (remove_newlines): Fix the removal of trailing
    newline for descriptions ending with a verbatim block. This helps
    optimizing the screen usage in the newt frontend.
  * Fix the computation and usage of the window's height. If the height is not
    computed correctly, the newt frontend may decide to put the input box and
    the explanatory text on the same window, but the text will overlap on the
    input box, which renders the input impossible.
    Closes: #508042, #507372, #343119
  * Optimize the screen usage (2 lines) in the newt frontend when a
    description and select menu are on the same windows or when a big select
    menu is displayed on its own window.
  * Fix select screens with the newt frontend. The <Go Back> button was not
    taken into account and overlapped with the select list. Closes: #525209

 -- Otavio Salvador <otavio@debian.org>  Tue, 09 Jun 2009 18:34:14 -0300

cdebconf (0.138lenny2) unstable; urgency=high

  * Backport from trunk:
    - Fix pointer arithmetic bug in plugin_iterate that meant that only one
      plugin would ever be returned by CAPB (and probably also caused a
      minor buffer overflow, although not exploitable in the context of
      d-i).

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Jan 2009 16:16:05 +0000

cdebconf (0.138lenny1) unstable; urgency=high

  * Rebuild with fixed Danish translation

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Jan 2009 07:24:59 +0100

cdebconf (0.138) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not drop translations that are defined as fall-back languages for the
    currently selected language. Closes: #502240, #502244.

 -- Frans Pop <fjp@debian.org>  Mon, 01 Dec 2008 06:41:23 +0100

cdebconf (0.137) unstable; urgency=low

  * Fix build system to changes in cairo-directfb packaging:
    - Build-Depends on libcairo2-dev (>= 1.6.4-6.1),
    - Remove specific dh_shlibdeps handling of cdebconf-gtk-udeb.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 14 Oct 2008 01:59:53 +0200

cdebconf (0.136) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 18:42:18 -0300

cdebconf (0.135) unstable; urgency=low

  [ Jérémy Bobbio ]
  * In GTK+ frontend, do not run a specific handler when the main window is
    closed on normal shutdown.
  * In GTK+ frontend, fix propagation of errors in question handlers.
  * In GTK+ frontend, return an error when the number of options in Choices and
    Choices-C mismatch instead of triggering an assertion failure.
  * In {text,newt}_go(), exit the loop when an error happens in a question
    handler. Closes: #498846.

  [ Updated translations ]
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 14 Sep 2008 19:43:59 +0000

cdebconf (0.134) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Refactor GOBACK handling in newt_go().
  * Refactor GOBACK handling in text_go().
  * Skip error questions when going back in text and newt frontends.
    (Closes: #487691)
  * Use a dynamically allocated rope in strexpand().
    (Closes: #496093)
  * Increase extra fd numbers by 30 in confmodule_run().
    This is necessary as the new method of switching from /dev/console to the
    real device open more file descriptors in the process space.

  [ Colin Watson ]
  * When receiving a new template with DATA, ensure that the corresponding
    question is registered to that template.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * French (fr.po) by Christian Perrier
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 22:17:19 +0200

cdebconf (0.133) unstable; urgency=low

  [ Frans Pop ]
  * Additional tuning of the dark theme in the newt frontend. Patch from
    Samuel Thibault.

  [ Jérémy Bobbio ]
  * Switch to GtkEntry instead of GtkLabel to display progress info underneath
    the progress bar.  The later has issue when displaying combined LTR and
    RTL scripts.  (Closes: #409412)
  * Fix a segfault happening when GOBACK is selected after adding a new
    question to the set previously seen.  (Closes: #407577)
  * Add support for center and right alignment of select and multiselect
    options in the text, newt and GTK+ frontend.  They can respectively be
    achieved by prefixing a column with ${!ALIGN=CENTER} and ${!ALIGN=RIGHT},
    respectively.
  * Change special handling of partman/choose_partition to use the absence of
    '>' as the first character instead of relying on spaces.
  * Fix column alignment support for special questions
    (e.g.  partman/choose_partition).
  * Add tests for the new terminal plugin.

 -- Otavio Salvador <otavio@debian.org>  Fri, 01 Aug 2008 09:27:37 -0300

cdebconf (0.132) unstable; urgency=low

  [ Joey Hess ]
  * Add a separate queue for noninteractive questions, so that things can
    be done when these questions would be displayed. This is a bit hackish;
    debconf's method of letting questions determine if they are interactive or
    not is really better. But this doesn't need huge changes to cdebconf.
  * Handle the special case of a noninteractive select with no (or a bad)
    default the same as debconf does; when such a question is asked,
    set the value to the first item in the select list. 
    Closes: #486892, #247744

  [ Frans Pop ]
  * Apply patch from Samuel Thibault to improve dark theme in newt frontend
    and add support for a dark theme in the text frontend if used with
    "linux" or "bterm" consoles. Closes: #488494.

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo-directfb2-dev
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
 Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf

## cdebconf 0.139

=== debian/changelog ===
cdebconf (0.139) unstable; urgency=low

  * Fix potential crash if a configuration file element contains printf
    formatting characters.
  * Remove unnecessary assignment in rfc822db_question_set.
  * Fix pointer arithmetic bug in plugin_iterate that meant that only one
    plugin would ever be returned by CAPB (and probably also caused a minor
    buffer overflow, although not exploitable in the context of d-i).
  * Mark parent halves of confmodule communication pipes close-on-exec.
  * Move newt initialisation into new cdebconf_newt_setup function, exported
    for the benefit of cdebconf-newt-terminal.
  * Export a new cdebconf_newt_get_progress_info function so that
    cdebconf-newt-terminal can reinitialise progress bars (since there's no
    progress_info member in struct frontend, and it won't fit in the obvious
    place without breaking the plugin ABI).

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 20:50:56 +0000

## cdebconf 0.145

=== src/modules/frontend/gtk/Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
        progress.opic \
        go.opic \
        handlers.opic \
-       ui.opic
+       ui.opic \
+       align_text_renderer.opic
 
 ifneq ($(strip $(filter -DDI_UDEB, $(CFLAGS))),)
 OBJS += screenshot.opic di.opic

=== debian/changelog ===
cdebconf (0.145) unstable; urgency=low

  * Use correct debconf template for newt help line when F1-help is
    available.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Basque (eu.po) by Piarres Beobide
  * Italian (it.po) by Milo Casagrande
  * Turkish (tr.po) by Mert Dirik

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2009 16:30:02 +0100

cdebconf (0.144) unstable; urgency=low

  * Drop gtk frontend from default cdebconf package (thanks, Neil Williams;
    closes: #480899).
  * cdebconf-gtk should replace cdebconf (<< 0.144) - forgotten in previous
    upload.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jul 2009 17:42:50 +0100

cdebconf (0.143) unstable; urgency=low

  [ Otavio Salvador ]
  * Move Gtk+ frontend to a separate package to allow installation without
    X . Closes: #480899

  [ Colin Watson ]
  * Add online help support. The "Help" field in a template may refer to
    another template whose description contains help text; frontends may use
    this to display online help on request. Currently implemented for the
    text, newt, and gtk frontends.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jul 2009 14:32:27 +0100

cdebconf (0.142) unstable; urgency=low

  [ Frans Pop ]
  * "Unbrand" logo file name by using logo_installer instead of logo_debian.
    Requires rootskel-gtk (1.16).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jun 2009 15:41:15 +0100

cdebconf (0.141) unstable; urgency=low

  [ Nicolas François ]
  * Add myself as uploader.
  * Fix select screens with the newt frontend. The <Go Back> button was not
    taken into account and overlapped with the select list. Closes: #525209

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Slovak (sk.po) by Ivan Masár

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 24 Apr 2009 10:47:41 +0200

cdebconf (0.140) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Nicolas François ]
  * src/template.c (remove_newlines): Fix the removal of trailing
    newline for descriptions ending with a verbatim block. This helps
    optimizing the screen usage in the newt frontend.
  * Fix the computation and usage of the window's height. If the height is not
    computed correctly, the newt frontend may decide to put the input box and
    the explanatory text on the same window, but the text will overlap on the
    input box, which renders the input impossible.
    Closes: #508042, #507372, #343119
  * Optimize the screen usage (2 lines) in the newt frontend when a
    description and select menu are on the same windows or when a big select
    menu is displayed on its own window.

  [ Updated translations ]
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Slovak (sk.po) by Ivan Masár

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:36:15 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
 
@@ -11,6 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, debconf
 Provides: debconf-2.0
+Suggests: cdebconf-gtk
 Priority: extra
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
@@ -144,3 +145,16 @@
  .
  cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
  by the debian-installer.
+
+Package: cdebconf-gtk
+Architecture: any
+Section: admin
+Priority: optional
+Depends: cdebconf, ${shlibs:Depends}
+Replaces: cdebconf (<< 0.144)
+Description: Gtk+ frontend for Debian Configuration Management System
+ Debconf is a configuration management system for Debian packages. It is
+ used by some packages to prompt you for information before they are
+ installed. This is a reimplementation of the original debconf version in C.
+ .
+ cdebconf-gtk is a minimal Gtk+ frontend cdebconf package.

=== debian/rules ===
--- 
+++ 
@@ -123,8 +123,7 @@
 	dh_fixperms -s
 	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -s
-	dh_shlibdeps -s -Ncdebconf-gtk-udeb
-	dh_shlibdeps -pcdebconf-gtk-udeb -l /usr/lib/libcairo-directfb/lib/
+	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
 	dh_builddeb -s

## cdebconf 0.147

=== debian/changelog ===
cdebconf (0.147) unstable; urgency=high

  [ Colin Watson ]
  * Fix double-dereference of progress title questions in text frontend
    (closes: #568381).

  [ Frans Pop ]
  * Upload with urgency high because of the upcoming D-I release.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Fri, 05 Feb 2010 10:28:57 +0100

cdebconf (0.146) unstable; urgency=low

  [ Joey Hess ]
  * Remove newt screen clearing code. Closes: #442291
  * dpkg-reconfigure: Fix -p to set priority. Closes: #442288
  * dpkg-reconfigure: Fix skipping of seen questions. Closes: #442290
  * dpkg-reconfigure: Run at low priority by default, like perl debconf.
  * dpkg-reconfigure: Support --default-priority and --unseen-only.
  * dpkg-reconfigure: Fix support for -u short option.
  * Rename DEBCONF_PRIORITY to DEBIAN_PRIORITY for compatibility with perl
    debconf. No code uses the old variable name, the manual
    has even been changed long ago not to use it.
  * dpkg-reconfigure: Don't treat config script exit 1 as success.
    Closes: #443760
  * dpkg-reconfigure: Run prerm script to simulate package reinstallation.
    Closes: #469363

  [ Colin Watson ]
  * Add passthrough frontend (see #537523), installed in the deb only since
    I don't think the udeb needs it. This required changing the
    progress_start and progress_info frontend methods to take the title/info
    as a struct question * rather than a const char *; I believe this only
    affects cdebconf-newt-terminal, which I've adjusted to cope in
    cdebconf-terminal 0.6.
  * Upgrade to debhelper v7.
  * Teach debconf-communicate to handle long input lines (over 1024 bytes).

  [ Frans Pop ]
  * newt frontend: improve display of note and error dialogs by inserting a
    blank line between the dialog border and short description.
  * Remove warning that the TITLE command is obsolete as per discussion in
    #560323. Although SETTITLE is normally to be preferred, there are still
    valid use cases for TITLE.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Galician (gl.po) by Marce Villarino
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
+Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.7.3
